PRO PlotCallisto2D
; check path/file carefully

;ps, /color

xloadct
;loadct,5

file = 'H:\MyDocs\IDL2\GAURI_20070603_091504_59.fit'
a = mrdfits(file,0,header) ; read fits file
Ncols = sxpar(header,'NAXIS1')
print,'Columns=',Ncols
Nrows = sxpar(header,'NAXIS2')
print,'rows=',Nrows


pwm = sxpar(header,'PWM_VAL'); get PWM-value
window,0,xsize=600,ysize=400; for XWIN only!

radio_spectro_fits_read, file, z, x, y
spectro_plot, constbacksub(z, /auto), x,y , xs=3, ys=3, $
xrange = '2007-JUN-03 09:' + ['25:30','29:00'], $
yrange = [300,45], ytitle = 'Frequency [MHz]', $
title='Callisto spectrum Gaurbidanur at pwm=' + string(pwm, FORMAT='(I2)') + ' digit'
;psclose
end
